---
title: Account details
slug: apis/accounts/deposit-sweeps-apis/get-account-details
description: Retrieve account details enabled for Sweeps via GET /SweepsIntrafi/v1/accounts/{accountNumber}, including balances and status.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-05-07T06:24:46.609Z
---

## API reference

Returns specific details of an account enabled for deposit sweeps.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /SweepsIntrafi/v1/accounts/{accountNumber}",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/SweepsIntrafi/v1/accounts/{accountNumber}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "HFyzOHIwsJoxZInmLVxaC",
        "language": "curl",
        "code": "curl --location --globoff 'SweepsIntrafi/v1/accounts/2666129453}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "BbTPWDDZ1RMOQv9smRTwD",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'SweepsIntrafi/v1/accounts/2666129453',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "hM_EI_DGOfjIOtH-nUH1k",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"SweepsIntrafi/v1/accounts/2666129453\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "L-WneBdg70foOfh8ha2Wd",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"SweepsIntrafi/v1/accounts/2666129453\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "trey5mJ371445eC4VuqzQ",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/SweepsIntrafi/v1/accounts/2666129453\"\n  method := \"GET\"\n\n  payload := strings.NewReader(``)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Authorization\", \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MDY1ODE5MCwiaWF0IjoxNzUwNjU4MTkwLCJleHAiOjE3NTA2OTQxOTAsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJrZmN1bGZnREF0TkJFVHpSbTFHWUhyazlDemN3ZUg0VSIsImp0aSI6IkU3OTJFNkVCQzMyQjAyODM3Q0FGNzFCREJCNjI0MkY4In0.vsG1iXkB9RkWexd7XcRhL9GTUTU8RhWbVwM8W3ov2em3RSePtcC8jK7c2O9qrWjVTs54lMyEqWhByZYJXIPlGXF8OwiNyoxiy9boeCXqVOTmS9Wix7K2FBQmPsMjZ7fZQqnqKLLNgrJhEf88c1MoN5DBwhhrH2oFsblZlnSd-DhNJYOyJRM45rE88ZfDdny_plLFxUo7DQ6BIjAv4B7QQcDDOXzAWlNgux7Txq_aaemDTkwLV2TjVyfG547iHz_pgfY_87tPPUpN9YA1w6NVK27DePsKbFLuErbCSJeAZPXQQYJJ0pS27kQNQeLXxGDsM3KjpHLl_CQ4aU08Nb_GSw\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "HFyzOHIwsJoxZInmLVxaC"
  },
  "results": {
    "languages": [
      {
        "id": "QqHiLt-FHhPgn7vzGSzAQ",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"accountNumber\": \"2666129453\",\n  \"status\": \"Active\",\n  \"title\": \"Sweeps Test 2\",\n  \"bankExclusions\": [\n    \"10015\"\n  ],\n  \"coreBalance\": 125627321,\n  \"coreBalanceAsOf\": \"2024-09-23T17:51:14.153-04:00\",\n  \"custodialBalance\": 25627321,\n  \"networkBalance\": 100000000,\n  \"networkBalanceAsOf\": \"2024-09-24T16:33:43.613-04:00\",\n  \"maxSweepAmount\": 0,\n  \"productId\": \"e4404005-03c1-4710-b759-b13700ebfac4\",\n  \"partnerId\": \"6e6769ec-99e0-4c4f-8ae8-b13700eab0fc\",\n  \"openedAt\": \"2024-05-14T16:26:10.227-04:00\",\n  \"lastModifiedAt\": \"2024-09-24T16:33:43.6128282-04:00\",\n  \"productName\": \"ibs Checking Product\",\n  \"partnerName\": \"Ibrahim Saeed Partner\",\n  \"balances\": [\n    {\n      \"bankNumber\": \"11866\",\n      \"bankName\": \"The Bryn Mawr Trust Company\",\n      \"balance\": 0,\n      \"createdAt\": \"0001-01-01T00:00:00-05:00\",\n      \"lastModifiedAt\": \"2024-05-17T16:38:43.7709924-04:00\"\n    },\n    {\n      \"bankNumber\": \"14712\",\n      \"bankName\": \"First National Bank\",\n      \"balance\": 24700000,\n      \"createdAt\": \"0001-01-01T00:00:00-05:00\",\n      \"lastModifiedAt\": \"2024-05-17T16:38:43.6692936-04:00\"\n    },\n     {\n      \"bankNumber\": \"32773\",\n      \"bankName\": \"Eastern Bank\",\n      \"balance\": 24700000,\n      \"createdAt\": \"0001-01-01T00:00:00-05:00\",\n      \"lastModifiedAt\": \"2024-09-03T16:38:57.7836638-04:00\"\n    }\n    ]\n}"
      },
      {
        "id": "MkzOjj1RXMGrSWJeOOsVN",
        "language": "404",
        "customLabel": "",
        "code": "{\n  \"message\": \"Account not found.\"\n}"
      }
    ],
    "selectedLanguageId": "QqHiLt-FHhPgn7vzGSzAQ"
  },
  "request": {
    "pathParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Account number of account you want to look up ",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Account number of account you want to look up "
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Inactive or Active",
      "children": []
    },
    {
      "name": "title",
      "kind": "optional",
      "type": "string",
      "description": "The name on the account. Usually this is the account holder name, but not always.\n255 characters maximum.",
      "children": []
    },
    {
      "name": "bankExclusions",
      "kind": "optional",
      "type": "Array",
      "description": "IDs of the banks to exclude from the network of banks where funds may be swept to",
      "children": []
    },
    {
      "name": "coreBalance",
      "kind": "optional",
      "type": "Integer",
      "description": "Total available balance at Cross River",
      "children": []
    },
    {
      "name": "coreBalanceAsOf",
      "kind": "optional",
      "type": "string",
      "description": "Date and time of the core balance. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "custodialBalance",
      "kind": "optional",
      "type": "Integer",
      "description": "Total amount held at Cross River",
      "children": []
    },
    {
      "name": "networkBalance",
      "kind": "optional",
      "type": "Integer",
      "description": "Total amount swept to IntraFi ",
      "children": []
    },
    {
      "name": "networkBalanceAsOf",
      "kind": "optional",
      "type": "String",
      "description": "Date and time of the network balance. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "maxSweepAmount",
      "kind": "optional",
      "type": "Integer",
      "description": "Max sweep amount will always be 0 as it refers to an override - program sweep limit is not reflected here",
      "children": []
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "Your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes.",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "ID in GUID format of your specific product type on which the account is based. Provided by Cross River.",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "openedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the deposit account was opened. The date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "productName",
      "kind": "optional",
      "type": "string",
      "description": "Name associated with the product ID, for example, \"Fintech123 checking product\" ",
      "children": []
    },
    {
      "name": "partnerName",
      "kind": "optional",
      "type": "string",
      "description": "Your partner name in the Cross River system",
      "children": []
    },
    {
      "name": "balances",
      "kind": "optional",
      "type": "Object",
      "description": "Balances",
      "children": [
        {
          "name": "bankNumber",
          "kind": "optional",
          "type": "string",
          "description": "Number of bank"
        },
        {
          "name": "bankName",
          "kind": "optional",
          "type": "string",
          "description": "Name of bank"
        },
        {
          "name": "balance",
          "kind": "optional",
          "type": "Integer",
          "description": "Balance in this account"
        },
        {
          "name": "createdAt",
          "kind": "optional",
          "type": "String",
          "description": "Internal Cross River value. Date and time the database entry was first created."
        },
        {
          "name": "lastModifiedAt",
          "kind": "optional",
          "type": "string",
          "description": "Internal Cross River value. Date and time the database entry was last modified."
        }
      ]
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-sweepsintrafiv1accountsaccountnumber",
  "legacyHash": "2CZ2yFy_OkrSTuYhrEdX0"
}
```
:::

